Sequences
For authentication instructions, see API overview.
Endpoints
List all sequences
Returns a list of sequences. The sequences are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sequencesResponse
No response schemaCreate sequences
Create sequences. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringcodestringscheduleobjectprioritystringownerobjecttypestringemailFromobjectmaxContactsintegertagsarraystatusstringstepsarraycontactsarraytemplatestringstartDatestringendDatestringdeletedstring
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sequences \ -d 'name="string"' \ -d 'code="string"' \ -d 'schedule="object"' \ -d 'priority="string"' \ -d 'owner="object"' \ -d 'type="string"' \ -d 'emailFrom="object"' \ -d 'maxContacts="integer"' \ -d 'tags="array"' \ -d 'status="string"' \ -d 'steps="array"' \ -d 'contacts="array"' \ -d 'template="string"' \ -d 'startDate="string"' \ -d 'endDate="string"' \ -d 'deleted="string"'Response
No response schemaRetrieve sequences
Returns a single sequence, which you can request by passing through an id in the url.
Path parameters
idstringID of the sequence
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sequences/:idResponse
No response schemaUpdate sequences
Path parameters
idstringID of the sequence
Request body
namestringcodestringscheduleobjectprioritystringownerobjecttypestringemailFromobjectmaxContactsintegertagsarraystatusstringstepsarraycontactsarraytemplatestringstartDatestringendDatestringdeletedstring
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sequences/:id \ -d 'name="string"' \ -d 'code="string"' \ -d 'schedule="object"' \ -d 'priority="string"' \ -d 'owner="object"' \ -d 'type="string"' \ -d 'emailFrom="object"' \ -d 'maxContacts="integer"' \ -d 'tags="array"' \ -d 'status="string"' \ -d 'steps="array"' \ -d 'contacts="array"' \ -d 'template="string"' \ -d 'startDate="string"' \ -d 'endDate="string"' \ -d 'deleted="string"'Response
No response schemaUpdate sequences soft
Update sequences soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the sequence
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sequences/:idResponse
No response schemaDelete sequences
Path parameters
idstringID of the sequence
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sequences/deleted/:idResponse
No response schemaCreate sequences activity
Create sequences activity. You need to pass through any required fields, and you can optionally pass through other fields.
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sequences/activity